commit:     7a388910c7649c5092f0e17c05251a6850d1c062
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  7 21:28:23 2021 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Mon Jun  7 21:40:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a388910

net-im/dino: add new version 0.2.1

Cloned from 9999 ebuild.

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Andrey Utkin <andrey_utkin <AT> gentoo.org>

 net-im/dino/Manifest          |  1 +
 net-im/dino/dino-0.2.1.ebuild | 93 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/net-im/dino/Manifest b/net-im/dino/Manifest
index fbf42220f5e..58aca6c4e2f 100644
--- a/net-im/dino/Manifest
+++ b/net-im/dino/Manifest
@@ -1,2 +1,3 @@
 DIST dino-0.1.0.tar.gz 441638 BLAKE2B 
08f332d38af866eed1049fae7d0e207da5a3486fdaf07eb5327e7abf614ac4adc130fd8f2d9465d6cb248ecfe4b809e022a69c72df5879d98719d24635771b33
 SHA512 
b63bf87dbf7f728f038f22d0dba34770a06d7eb1be2ec249293ff876e16c151165add895ff3cb20a3216c3581d20e10634d454ee8b024b895012efb34f9d7de8
 DIST dino-0.2.0.tar.gz 514257 BLAKE2B 
a4536372a806fa60e157a6492381b0204f33041b113dc26dfd4d494c86c96e5b94e928c400fde3198e481aecbfc79d0358979d4a20c550e35f762b3520e2f7c0
 SHA512 
296576f91d45a4dd8c548a7ca5b47bcaf847f6ff0f8e5dbafaa4eb49a2d4f1ed7e2bbfac94f1b32e22f5ec61b23748ac76b12bb4ceb710889aff166953ca7a2e
+DIST dino-0.2.1.tar.gz 514504 BLAKE2B 
42fae18bb7cda276c1eadeefdea130069f9929dfde62855f00ab6b88912fe9db3374315f40ff8f53350cf38e45fe61b0fd6256ef390cdbed6a65a3f2d79ac80a
 SHA512 
b71497ec115945eadf7d33bb973f68465a20284aa75f37f1ae25fc30c1c423ce28cb10f7e9123c47f82e77e97170b8fa72c75389dacc3a2aa3d487a9c9610d49

diff --git a/net-im/dino/dino-0.2.1.ebuild b/net-im/dino/dino-0.2.1.ebuild
new file mode 100644
index 00000000000..b16ee80986d
--- /dev/null
+++ b/net-im/dino/dino-0.2.1.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="ninja"
+VALA_MIN_API_VERSION="0.34"
+inherit cmake gnome2-utils vala xdg-utils
+
+DESCRIPTION="Modern Jabber/XMPP Client using GTK+/Vala"
+HOMEPAGE="https://dino.im";
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+gpg +http +omemo +notification-sound"
+
+MY_REPO_URI="https://github.com/dino/dino";
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="${MY_REPO_URI}.git"
+       inherit git-r3
+else
+       KEYWORDS="~amd64 ~arm64"
+       SRC_URI="${MY_REPO_URI}/releases/download/v${PV}/${P}.tar.gz"
+fi
+
+RDEPEND="
+       app-text/gspell[vala]
+       dev-db/sqlite:3
+       dev-libs/glib:2
+       dev-libs/icu
+       dev-libs/libgee:0.8
+       net-libs/glib-networking
+       net-libs/libsignal-protocol-c
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3
+       x11-libs/pango
+       gpg? ( app-crypt/gpgme:1 )
+       http? ( net-libs/libsoup:2.4 )
+       omemo? (
+               dev-libs/libgcrypt:0
+               media-gfx/qrencode
+       )
+       notification-sound? ( media-libs/libcanberra:0[sound] )
+"
+DEPEND="
+       $(vala_depend)
+       ${RDEPEND}
+       sys-devel/gettext
+"
+
+src_prepare() {
+       cmake_src_prepare
+       vala_src_prepare
+}
+
+src_configure() {
+       local disabled_plugins=(
+               $(usex gpg "" "openpgp")
+               $(usex omemo "" "omemo")
+               $(usex http  "" "http-files")
+       )
+       local enabled_plugins=(
+               $(usex notification-sound "notification-sound" "")
+       )
+       local mycmakeargs+=(
+               "-DENABLED_PLUGINS=$(local IFS=";"; echo 
"${enabled_plugins[*]}")"
+               "-DDISABLED_PLUGINS=$(local IFS=";"; echo 
"${disabled_plugins[*]}")"
+               "-DVALA_EXECUTABLE=${VALAC}"
+       )
+
+       if has test ${FEATURES}; then
+               mycmakeargs+=("-DBUILD_TESTS=yes")
+       fi
+
+       cmake_src_configure
+}
+
+src_test() {
+       "${BUILD_DIR}"/xmpp-vala-test || die
+}
+
+update_caches() {
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postinst() {
+       update_caches
+}
+
+pkg_postrm() {
+       update_caches
+}

Reply via email to